package com.transfer;

public class ToIngredient{
    String name_odds;
    String str;
    public ToIngredient(String strin ) {
        str=strin;
    }

    public String train(){
        int a1=str.indexOf("name");
        int a2=str.indexOf("\"}");
        int b1=str.indexOf("score");
//        String name=str.substring(str.indexOf("name"),str.indexOf("\"}"));
//        String odds=str.substring(str.indexOf("score")+7,str.indexOf(","));
//        name_odds="有"+odds.substring(0,4)+"的概率是"+name;
        String name=str.substring(a1+7,a2); //String.valueOf(str.charAt(7));
        String odds=str.substring(b1+7,a2);

        name_odds="有"+odds.substring(0,4)+"的概率是"+name;
        return name_odds;
    }

}

